﻿	if(app.documents.length != 0){
	  var myFolder = Folder ("~/Desktop");
		if(myFolder != null){
var myPageName, myFilePath, myFile;
var myDocument = app.activeDocument;
var myDocumentName = myDocument.name;
var myIssueNumber = myDocumentName.substr(2, 3);    
var myBaseName = "Q_" + myIssueNumber + "_" ;
checkRGB();
checkLinkNormal();
for(var myCounter = 0; myCounter < myDocument.pages.length; myCounter++){
	// Ubiraem Sektsiyi so stranits, esli oni est'
	if (myDocument.pages.item(myCounter).appliedSection.name != ""){
		myDocument.pages.item(myCounter).appliedSection.name = "";
	}
myPageName = myDocument.pages.item(myCounter).name;
app.pdfExportPreferences.pageRange = myPageName;

var cornumber = pagenum(myPageName)
myFilePath = myFolder + "/" + myBaseName + cornumber + ".pdf";
myFile = new File(myFilePath);
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.neverInteract; // vremenno otkluchit' soobsheniya
myDocument.exportFile(ExportFormat.pdfType, myFile, false, "Business PDF Export Preset");
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll; // vkluchit' opyat'
}
	}
		}
	else{
	  alert("\u041D\u0435 \u043E\u0442\u043A\u0440\u044B\u0442 \u043D\u0438 \u043E\u0434\u0438\u043D \u0434\u043E\u043A\u0443\u043C\u0435\u043D\u0442.\r\u041E\u0442\u043A\u0440\u043E\u0439\u0442\u0435 \u0444\u0430\u0439\u043B \u0438 \u043F\u043E\u043F\u0440\u043E\u0431\u0443\u0439\u0442\u0435 \u0441\u043D\u043E\u0432\u0430.");
	exit();
	}
	
alert("Всë готово!");

function pagenum(myNumber){
	if (myNumber >= 1 && myNumber <= 9)
	{
	x =  "0" + "0" + myNumber;
	}
	else if (myNumber >= 10 && myNumber <= 99)
	{
	x = "0" + myNumber;
	}
	else if (myNumber >= 100 && myNumber <= 999)
	{
	x = myNumber;
	}
return x
}


function checkRGB(){
	for(var myCounter = 0; myCounter < myDocument.links.length; myCounter++){
	var myLink = myDocument.links[myCounter];
		if (myLink.linkType == "TIFF" || myLink.linkType == "Photoshop"){
			var myImage = myLink.parent;
			if (myImage.space == "RGB" || myImage.space == "Lab"){
				myLink.show();
				myConfirmResult = confirm ("Внимание! Эта картинка не в CMYK, хотите исправить? \nЕсли вы хотите остановить скрипт и исправить проблему нажмите кнопку \"Yes\", ну а если вы всё-таки решили проигнорировать это предупреждение и хотите скрутить PDF-файл с картинкой, которая не находиться в цветовой модели CMYK, тогда нажмите кнопку \"No\".");
					if (myConfirmResult){
						exit();
						}
						else {
						break;
						}

			}
		}
	}
}

function checkLinkNormal(){
	for(var myCounter = 0; myCounter < myDocument.links.length; myCounter++){
	var myLink = myDocument.links[myCounter];
		if (myLink.status != LinkStatus.normal){
			myLink.show();
			alert ("Внимание! Этот линк модифицирован и его необходимо обновить.");
			exit();
		}
	}
}